import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range(['red','yellow']);

const radiusScale = scaleOrdinal()
	.domain(['apple','lemon'])
	.range([50,30]);

export const fruitBowl = (selection, props) => {
  const { fruits, height } = props;
  const circles = selection.selectAll('circle')
    .data(fruits);
  circles
    .enter().append('circle')
      .attr('cx',(d,i) => i*120 + 60)
      .attr('cy', height/2)
  		.attr('stroke','black')
  	.merge(circles)
    	.attr('r', d => radiusScale(d.type))
  		.attr('fill', d => colorScale(d.type));

  circles.exit().remove();
}